Bug 825067 - [kde] ibus fails in libreoffice-kde when window loses focus
[kde] ibus fails in libreoffice-kde when window loses focus
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-24 21:55 EDT by Ed Greshko
Modified: 2015-07-13 13:37 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 11:26:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Greshko 2012-05-24 21:55:09 EDT
Description of problem: This happens on in KDE.  If you switch to a different input method in an LibreOffice application it will work.  However, if you change focus to another window you will lose the ability to use any ibus input method

Version-Release number of selected component (if applicable): Fully updated F16 system.  KDE 4.8.3-1

How reproducible:

Steps to Reproduce:
1.  Start LibreOffice Writer and use Ctrl-space to toggle to an alternate input method.  I used "Intelligent Bopomofo"
2.  Enter some characters
3.  Move mouse and click on another window, such as Konsole
4.  Move back to the LibreOffice Writer window and click
Actual results:  The ibus method display on the taskbar shows the keyboard icon and not the Intelligent Bopomofo icon.  Mousing over the taskbar ibus icon show "No Input 

Expected results: The LibreOffice window should have retained its input method setting.  And, you should be able to toggle between methods with Ctrl-Space.

Additional info: FWIW, this problem does not exist in F17.  Yet, ranked this bug as "high" since to do any work in LibreOffice I have to constantly switch between using KDE and GNOME.  I also verified the bug on a VirtualBox VM.
Comment 1 Ed Greshko 2012-05-24 21:57:32 EDT
Of course the Description of problem should have read "This happens ONLY in KDE".
Comment 2 Rex Dieter 2012-05-25 06:50:00 EDT
Possible you've found a gtk or oxygen-gtk bug.

If you change gtk style in systemsettings->application appearance->gtk+ appearance to Adwaita or Clearlooks (and restart your session), does the problem persist?
Comment 3 Ed Greshko 2012-05-25 08:20:20 EDT
On one system the gtk+ appearance was set to Mist.  The other system was set to oxygen-gtk.

I tried setting both systems to Adwaita and Clearlooks and restarted my session each time.

The problem persists.
Comment 4 Rex Dieter 2012-05-25 09:20:36 EDT
Oh, one last thing, is libreoffice-kde installed?

If so, try uninstalling, see if that helps
If not, try installing, same test.
Comment 5 Ed Greshko 2012-05-25 09:29:34 EDT
libreoffice-kde was installed.  Uninstalling did the trick.  Now there is no problem to select input methods.....  

New bugzilla against libreoffice-kde or transfer this one?

Comment 6 Rex Dieter 2012-05-25 09:34:21 EDT
I'll re-assign it.  then we can start trying to figure out how and why it's failing.
Comment 7 Caolan McNamara 2012-05-25 15:43:51 EDT
I wonder if this and bug 824709 are related
Comment 8 Ed Greshko 2012-05-25 22:42:34 EDT
I was unable to reproduce the symptoms of https://bugzilla.redhat.com/show_bug.cgi?id=824709 on my system with libreoffice-kde either installed or not installed.
Comment 9 Johannes Goller 2012-05-26 04:05:40 EDT
On the other hand, I (the reporter of 824709) have seen the bug you reported here, and that is on F17, and with Japanese-mozc. I will try uninstalling libreoffice-kde on Monday.
Comment 10 Ed Greshko 2012-05-26 05:57:20 EDT
It seems I had not thoroughly tested in F17.  I don't get the symptoms of 824709.  Meaning the keyboard isn't dead.  However, I get a failure of a slightly different nature.  The ibus icon on the task bar continues to show either the bopomofo or mozc input method being selected.  However, they are not.  If you type you will only get what you type on the keyboard.

Erasing libreoffice-kde cures that symptom in F17.  So, that component is causing troubles in many different ways on both F16 and F17,
Comment 11 Johannes Goller 2012-05-27 23:15:22 EDT
I can confirm that erasing libreoffice-kde solves the problems (824709 as well the problem reported here) for me on F17, too. On the other hand, updating to the latest version of libreoffice-kde did not solve either problem.
Comment 12 Fedora End Of Life 2013-01-16 10:05:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Fedora End Of Life 2013-02-13 11:26:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.